--[[If a file called conf.lua is present in your game folder (or .love file),
it is run before the LÖVE modules are loaded.
You can use this file to overwrite the love.conf function, which is later called by the LÖVE 'boot' script.
Using the love.conf function, you can set some configuration options, and change things like
the default size of the window, which modules are loaded, and other stuff. --]]

function love.conf(t)
	t.title = "Gravitate!";		-- The title of the window the game is in (string)
	t.author = "© 2013 Oleg Kozak";		-- The author of the game (string)
	t.version = "0.8.0";			-- The LÖVE version this game was made for (string)
	t.console = false;				-- Attach a console (boolean, Windows only)
	t.release = false;				-- Enable release mode (boolean)
	t.screen.width = 1000;			-- The window width (number)
	t.screen.height = 700;			-- The window height (number)
	t.screen.fullscreen = false;	-- Enable fullscreen (boolean)
	t.screen.vsync = false;			-- Enable vertical sync (boolean)
	t.screen.fsaa = 8;				-- The number of FSAA-buffers (number)
	t.modules.joystick = false;		-- Enable the joystick module (boolean)
	t.modules.audio = false;		-- Enable the audio module (boolean)
	t.modules.keyboard = true;		-- Enable the keyboard module (boolean)
	t.modules.event = true;			-- Enable the event module (boolean)
	t.modules.image = true;			-- Enable the image module (boolean)
	t.modules.graphics = true;		-- Enable the graphics module (boolean)
	t.modules.timer = true;			-- Enable the timer module (boolean)
	t.modules.mouse = false;		-- Enable the mouse module (boolean)
	t.modules.sound = false;		-- Enable the sound module (boolean)
	t.modules.physics = false;		-- Enable the physics module (boolean)
end