--Да, рефакторинг кода
function love.load()
	--Необходимые сокращения
	GR = love.graphics;
	
	pl = {}
		pl[1] = {}		--Параметры первого тела
			pl[1].mass = 200e13;
			pl[1].radius = 50;
			pl[1].xpos = 0;
			pl[1].ypos = 0;
			pl[1].xvel = 0;
			pl[1].yvel = 0;
		
	for i = 2, 25 do
		pl[i] = {}
			pl[i].mass = math.random(10) * 1e11;
			pl[i].radius = pl[i].mass / 2e11;
			pl[i].xpos = 400 + math.random(150);
			pl[i].ypos = math.random(200);
			pl[i].xvel = 0;
			pl[i].yvel = 15 / math.abs((pl[i].xpos / 550));
	end
	
	for i = 26, 50 do
		pl[i] = {}
			pl[i].mass = math.random(10) * 1e11;
			pl[i].radius = pl[i].mass / 2e11;
			pl[i].xpos = -400 + math.random(150);
			pl[i].ypos = math.random(200);
			pl[i].xvel = 0;
			pl[i].yvel = -17 / math.abs((pl[i].xpos / 550));
	end
	
	gravConst = 6.67384e-11;	--Гравитационная постоянная
	
	mainfont = GR.newFont(12);
end

function love.keypressed(k)		--Функция выхода из игры
	if k == 'escape' then
		love.event.quit()
	end
end

function love.update()		--Тут реализуем подсчет величины и направления гравитационного ускорения для любого из тел
	--Объявляем локальные переменные
	local fi_1;
	local fi_2;
	local agrav1, agrav2;
	local k = 1;
	
	local delta = love.timer.getDelta() * 5;		--Принимаем текущее значение dt, плюс можем ускорить/замедлить время
	
	local i, j = 1, 1;
	
	--Тут проверяем столкновение объектов и их слияние
	for i = 1, #pl do
		if pl[i].mass ~= 0 then
			for j = 1, #pl do
				if (((j ~= i) and (pl[j].mass ~= 0)) and (math.sqrt(math.pow((pl[j].xpos - pl[i].xpos), 2) + math.pow((pl[j].ypos - pl[i].ypos), 2)) <= pl[i].radius)) then
					--Абсолютные углы взаимоположения тел
					fi_1 = math.atan2((pl[j].xpos - pl[i].xpos), (pl[j].ypos - pl[i].ypos));
					if fi_1 > 0 then		--Проверка, если фи1 положительный то фи2 считается отрицательным, и наоборот
						fi_2 = -math.pi + fi_1;
					else
						fi_2 = math.pi + fi_1;
					end
					
					--Считаем хар-ки нового тела
					k = #pl + 1;
					pl[k] = {};
					pl[k].mass = pl[i].mass + pl[j].mass;
					pl[k].radius = math.sqrt(math.pow(pl[i].radius, 2) + math.pow(pl[j].radius, 2));
					
					if pl[j].mass > pl[i].mass then
						pl[k].xvel = pl[j].xvel + (((math.sqrt(math.pow((pl[i].xvel - pl[j].xvel), 2) + math.pow((pl[i].yvel - pl[j].yvel), 2)) * math.cos(math.atan2((pl[i].xvel - pl[j].xvel), (pl[i].yvel - pl[j].yvel)) - fi_1)) * math.sin(fi_1)) * pl[i].mass) / pl[k].mass;
						pl[k].yvel = pl[j].yvel + (((math.sqrt(math.pow((pl[i].xvel - pl[j].xvel), 2) + math.pow((pl[i].yvel - pl[j].yvel), 2)) * math.cos(math.atan2((pl[i].xvel - pl[j].xvel), (pl[i].yvel - pl[j].yvel)) - fi_1)) * math.cos(fi_1)) * pl[i].mass) / pl[k].mass;
						pl[k].xpos = pl[j].xpos;
						pl[k].ypos = pl[j].ypos;
					else
						pl[k].xvel = pl[i].xvel + (((math.sqrt(math.pow((pl[j].xvel - pl[i].xvel), 2) + math.pow((pl[j].yvel - pl[i].yvel), 2)) * math.cos(math.atan2((pl[j].xvel - pl[i].xvel), (pl[j].yvel - pl[i].yvel)) - fi_2)) * math.sin(fi_2)) * pl[j].mass) / pl[k].mass;
						pl[k].yvel = pl[i].yvel + (((math.sqrt(math.pow((pl[j].xvel - pl[i].xvel), 2) + math.pow((pl[j].yvel - pl[i].yvel), 2)) * math.cos(math.atan2((pl[j].xvel - pl[i].xvel), (pl[j].yvel - pl[i].yvel)) - fi_2)) * math.cos(fi_2)) * pl[j].mass) / pl[k].mass;
						pl[k].xpos = pl[i].xpos;
						pl[k].ypos = pl[i].ypos;
					end
					
					--Обнуляем записи слившихся объектов
					pl[i].mass = 0;
					pl[i].radius = 0;
					pl[i].xpos = 0;
					pl[i].ypos = 0;
					pl[i].xvel = 0;
					pl[i].yvel = 0;
					
					pl[j].mass = 0;
					pl[j].radius = 0;
					pl[j].xpos = 0;
					pl[j].ypos = 0;
					pl[j].xvel = 0;
					pl[j].yvel = 0;
				end
			end
		end
	end
	
	--Тут просчитаем все гравитационные ускорения которые влияют на тела и скорсти, которые тела приобретают
	for i = 1, #pl do
		if pl[i].mass ~= 0 then
			for j = 1, #pl do
				if ((j ~= i) and (pl[j].mass ~= 0)) then		--Проверка не считаем ли мы гравитационные ускорения и скорости тела к самому себе
					--Абсолютные углы взаимоположения тел
					fi_1 = math.atan2((pl[j].xpos - pl[i].xpos), (pl[j].ypos - pl[i].ypos));
					if fi_1 > 0 then		--Проверка, если фи1 положительный то фи2 считается отрицательным, и наоборот
						fi_2 = -math.pi + fi_1;
					else
						fi_2 = math.pi + fi_1;
					end
					--Гравитационные ускорения тел
					agrav1 = (gravConst * pl[j].mass) / (math.pow((math.abs(pl[i].xpos) + math.abs(pl[j].xpos)), 2) + math.pow((math.abs(pl[i].ypos) + math.abs(pl[j].ypos)), 2));
					agrav2 = (gravConst * pl[i].mass) / (math.pow((math.abs(pl[i].xpos) + math.abs(pl[j].xpos)), 2) + math.pow((math.abs(pl[i].ypos) + math.abs(pl[j].ypos)), 2));
					--Приобретенные скорости
					pl[i].xvel = pl[i].xvel	+ math.sin(fi_1) * agrav1 * delta;
					pl[i].yvel = pl[i].yvel + math.cos(fi_1) * agrav1 * delta;
					pl[j].xvel = pl[j].xvel + math.sin(fi_2) * agrav2 * delta;
					pl[j].yvel = pl[j].yvel + math.cos(fi_2) * agrav2 * delta;
				end
			end
		end
	end
	
	--А тут двигаем тела исходя их результирующих скоростей полученных в предыдущем куске
	for i = 1, #pl do
		pl[i].xpos = pl[i].xpos + pl[i].xvel * delta;
		pl[i].ypos = pl[i].ypos + pl[i].yvel * delta;
	end
end

function love.draw()
	GR.print("Current FPS: "..tostring(love.timer.getFPS()), 10, 10);
	GR.print(#pl, 10, 30)
	
	GR.translate(500, 350);
	GR.scale(0.5, 0.5);
	
	for i = 1, #pl do
		if pl[i].mass ~= 0 then
			GR.circle("fill", pl[i].xpos, pl[i].ypos, pl[i].radius, 18);
		end
	end
end